Package org.apache.sysds.runtime.functionobjects

## Class TernaryValueFunction

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.TernaryValueFunction

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IfElse`, `MinusMultiply`, `PlusMultiply`

    public abstract class TernaryValueFunction
    extends ValueFunction

See Also:
  Serialized Form

### Constructor Summary

Constructors
`TernaryValueFunction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract double` `execute​(double in1, double in2, double in3)`
`abstract ValueFunction` `setOp2Constant​(double cnt)`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TernaryValueFunction

    public TernaryValueFunction()

### Method Detail

#### execute

    public abstract double execute​(double in1,
                                   double in2,
                                   double in3)

#### setOp2Constant

    public abstract ValueFunction setOp2Constant​(double cnt)